cURL
curl "https://api.phrase.com/v2/authorizations/:id" \
-u USERNAME \
-X PATCH \
-d '{"note":"My Deploy Script","scopes":["read","write"],"expires_at":"2015-03-30T09:52:53Z"}' \
-H 'Content-Type: application/json'phrase authorizations update \
--id <id> \
--data '{"note": "My Deploy Script", "scopes": "read,write", "expires_at": "2015-03-30T09:52:53Z"}'import requests
url = "https://api.phrase.com/v2/authorizations/{id}"
payload = {
"note": "My Deploy Script",
"scopes": ["read", "write"],
"expires_at": "2015-03-30T09:52:53Z"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: 'My Deploy Script',
scopes: ['read', 'write'],
expires_at: '2015-03-30T09:52:53Z'
})
};
fetch('https://api.phrase.com/v2/authorizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"note": "My Deploy Script",
"token_last_eight": "1234abcd",
"hashed_token": "abcd1234cdef1234abcd1234cdef1234abcd1234cdef1234abcd1234cdef1234",
"scopes": [
"read"
],
"expires_at": "2015-03-30T09:52:53Z",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
Update an authorization
Update an existing authorization.
PATCH
/
authorizations
/
{id}
cURL
curl "https://api.phrase.com/v2/authorizations/:id" \
-u USERNAME \
-X PATCH \
-d '{"note":"My Deploy Script","scopes":["read","write"],"expires_at":"2015-03-30T09:52:53Z"}' \
-H 'Content-Type: application/json'phrase authorizations update \
--id <id> \
--data '{"note": "My Deploy Script", "scopes": "read,write", "expires_at": "2015-03-30T09:52:53Z"}'import requests
url = "https://api.phrase.com/v2/authorizations/{id}"
payload = {
"note": "My Deploy Script",
"scopes": ["read", "write"],
"expires_at": "2015-03-30T09:52:53Z"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: 'My Deploy Script',
scopes: ['read', 'write'],
expires_at: '2015-03-30T09:52:53Z'
})
};
fetch('https://api.phrase.com/v2/authorizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"note": "My Deploy Script",
"token_last_eight": "1234abcd",
"hashed_token": "abcd1234cdef1234abcd1234cdef1234abcd1234cdef1234abcd1234cdef1234",
"scopes": [
"read"
],
"expires_at": "2015-03-30T09:52:53Z",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
ID
Body
application/json
A note to help you remember what the access is used for.
Example:
"My Deploy Script"
A list of scopes that the access can be used for.
Available options:
read, write, orders.create, team.manage Example:
["read", "write"]
Expiration date for the authorization token. Null means no expiration date (default).
Example:
"2015-03-30T09:52:53Z"
Was this page helpful?
⌘I